/*----------------------------------------------------------------------------
 * 
 * scanping.c -- 
 * 
 * Author          : Pierre Jaccard
 * Created On      : 2001/07/15 12:20:01
 * Last Modified By: Jaccard Pierre
 * Last Modified On: 2001/09/14 07:51:17
 * Directory       : /home1/jaccard/pcd/codas/2000-11-21/codas3/gfi/src/plugs/
 * ------------------------------------------------------------------------ * 
 * VERSION CONTROL: 
 * 
 *   $Author$
 *   $Date$
 *   $Id$
 *   $Name$
 *   $Revision$
 *   $State$
 *   $Log$
 * 
 * 
 *--------------------------------------------------------------------------*/


#ifdef USE_GFI_SCANPING


/* 
   2001/09/14 PJ 
   Used as is, but printing %02d for interval column to avoid spaces.
   Modifications written to UH source file.
*/

#if 0
fprintf(fplog, "%5d", nhdr_block);
fprintf(fplog, " %5d", nprof_in_hdr);
fprintf(fplog, "  %04d/%02d/%02d ", prof_time.year, prof_time.month,
        prof_time.day);
fprintf(fplog, " %02d:%02d:%02d  %f  %2d:%02d",
        prof_time.hour, prof_time.minute, prof_time.second,
        ymdhms_to_ddtime(&prof_time), m, s);
t_hold = prof_time;
#endif


/* 2001/09/14 PJ Adding here position, spped and course */

#if 1
fprintf(fplog, " ");
if(navigation.longitude < ADJ_BADFLOAT)
  fprintf(fplog, " %10.6f", navigation.longitude);
  else
  fprintf(fplog, "     1.0E36");
if(navigation.latitude < ADJ_BADFLOAT)
  fprintf(fplog, " %10.6f", navigation.latitude);
  else
  fprintf(fplog, "     1.0E36");
if(navigation.speed < ADJ_BADFLOAT)
  fprintf(fplog, " %6.1f", navigation.speed);
  else
  fprintf(fplog, " 1.0E36");
if(navigation.direction < ADJ_BADFLOAT)
  fprintf(fplog, " %6.1f", navigation.direction);
  else
  fprintf(fplog, " 1.0E36");
#endif

#endif
